Name:           varnish-agent
Version:        2.1
Release:        5%{?dist}
Summary:        Administration agent for Varnish Cache
Group:          System Environment/Daemons

License:        BSD
URL:            https://github.com/varnish/vagent2
Source0:        https://github.com/varnish/vagent2/archive/%{version}.tar.gz
Source1:        varnish-agent.service
Source2:        agent.params

# The patches all come from the following pull requests:
# https://github.com/varnish/vagent2/pull/94
# https://github.com/varnish/vagent2/pull/101

# offers a better out-of-the-box experience
Patch0:         vagent.secret_privileges.patch

# necessary fixes for the build
Patch1:         vagent.configure.patch
Patch2:         vagent.automake.patch
Patch3:         vagent.test_suite.patch

# disables a failing test upstream is investigating
# it looks like a bug in varnish, not the agent
Patch4:         vagent.disable_ban_tests.patch

BuildRequires:  autoconf automake libtool python-docutils
BuildRequires:  systemd varnish-libs-devel libmicrohttpd-devel
BuildRequires:  varnish python-demjson perl-libwww-perl

Requires:       varnish

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd


%description
Varnish Agent software that runs on all caches managed by Varnish
Administration Console (VAC).


%prep
%autosetup -n vagent2-%{version} -p1

# varnish-agent expects to be built from the git repository
sed -i s/NOGIT/%{version}/ include/Makefile.am


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
%make_install

install -m 755 -d %{buildroot}%{_sharedstatedir}/%{name}
install -m 755 -d %{buildroot}%{_unitdir}
install -m 755 -d %{buildroot}%{_sysconfdir}/varnish

install -pm 644 -t %{buildroot}%{_unitdir} %{SOURCE1}
install -pm 644 -t %{buildroot}%{_sysconfdir}/varnish %{SOURCE2}


%check
make check


%files
%doc LICENSE THANKS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_unitdir}/%{name}.service
%{_sharedstatedir}/%{name}
%config(noreplace) %{_sysconfdir}/varnish/agent.params


%post
%systemd_post varnish-agent.service


%preun
%systemd_preun varnish-agent.service


%postun
%systemd_postun_with_restart varnish-agent.service


%changelog
* Sun Dec 08 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-5
- Removed the %%optflags on the %%configure command line

* Sat Dec 07 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-4
- Added a patch to make the test suites work offline
- Added a patch to disable the ban test suite
- Removed the default -S option from the service

* Fri Nov 01 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-3
- Added a patch for subdir-objects in automake
- Moved CFLAGS to the configure command line

* Sun Oct 27 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-2
- Requires: varnish
- BuildRequires: varnish python-demjson
- Added a patch for root privileges on the secret file
- Added a patch for the deprecated AM_CONFIG_HEADER macro
- Added a check section
- sed -i s/NOGIT/%{version}/ include/Makefile.am
- mv vagent.params agent.params

* Sun Sep 15 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 2.1-1
- Initial spec.
